import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/base.dart';

import 'models/organization.dart';

/// 组织
abstract class IOrganizationManager implements IManager {
  /// 同步组织配置
  Future<OrganizationConfigurations> syncConfigurations();

  /// 获取组织配置
  Future<OrganizationConfigurations> getConfigurations();

  /// 根据Key获取参数配置
  ///
  /// [key] 关键字
  Future<DynamicParameterDTO?> getDynamicParamByKey(String key);
}
